libetonyek::IWORKSizeElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKSizeElement Class Reference

`#include <IWORKSizeElement.h>`

Inheritance diagram for libetonyek::IWORKSizeElement:

## Public Member Functions
| IWORKSizeElement (IWORKXMLParserState &state, boost::optional< IWORKSize > &size)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< IWORKSize > & | m_size
boost::optional< double > | m_width
boost::optional< double > | m_height

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKSizeElement()

libetonyek::IWORKSizeElement::IWORKSizeElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKSize > & | size
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKSizeElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKSizeElement::endOfElement | ( |  | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_height

boost::optional<double> libetonyek::IWORKSizeElement::m_height
| private

Referenced by attribute(), and endOfElement().

## ◆ m_size

boost::optional<IWORKSize>& libetonyek::IWORKSizeElement::m_size
| private

Referenced by endOfElement().

## ◆ m_width

boost::optional<double> libetonyek::IWORKSizeElement::m_width
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKSizeElement.h
- IWORKSizeElement.cpp